gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An enumeration used by Gtk.MessageDialog.

This enumeration defines the type of message being displayed in the dialog.

System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Gtk.MessageType An informational message.
- Field
  Gtk.MessageType A nonfatal warning message.
- Field
  Gtk.MessageType A question requiring a choice.
- Field
  Gtk.MessageType A fatal error message.
- Field
  System.Int32 Internal field. Do not use.